Package org.apache.tomcat.util.net.openssl.ciphers

# Enum Encryption

java.lang.Object
java.lang.Enum<Encryption>
org.apache.tomcat.util.net.openssl.ciphers.Encryption

All Implemented Interfaces:
  `Serializable`, `Comparable<Encryption>`, `java.lang.constant.Constable`

public enum Encryption extends Enum<Encryption>

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AES128`
  `AES128CCM`
  `AES128CCM8`
  `AES128GCM`
  `AES256`
  `AES256CCM`
  `AES256CCM8`
  `AES256GCM`
  `ARIA128GCM`
  `ARIA256GCM`
  `CAMELLIA128`
  `CAMELLIA256`
  `CHACHA20POLY1305`
  `DES`
  `eGOST2814789CNT`
  `eNULL`
  `FZA`
  `IDEA`
  `RC2`
  `RC4`
  `SEED`
  `TRIPLE_DES`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Encryption`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static Encryption[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AES128

    public static final Encryption AES128

  - ### AES128CCM

    public static final Encryption AES128CCM

  - ### AES128CCM8

    public static final Encryption AES128CCM8

  - ### AES128GCM

    public static final Encryption AES128GCM

  - ### AES256

    public static final Encryption AES256

  - ### AES256CCM

    public static final Encryption AES256CCM

  - ### AES256CCM8

    public static final Encryption AES256CCM8

  - ### AES256GCM

    public static final Encryption AES256GCM

  - ### ARIA128GCM

    public static final Encryption ARIA128GCM

  - ### ARIA256GCM

    public static final Encryption ARIA256GCM

  - ### CAMELLIA256

    public static final Encryption CAMELLIA256

  - ### CAMELLIA128

    public static final Encryption CAMELLIA128

  - ### CHACHA20POLY1305

    public static final Encryption CHACHA20POLY1305

  - ### TRIPLE_DES

    public static final Encryption TRIPLE_DES

  - ### DES

    public static final Encryption DES

  - ### IDEA

    public static final Encryption IDEA

  - ### eGOST2814789CNT

    public static final Encryption eGOST2814789CNT

  - ### SEED

    public static final Encryption SEED

  - ### FZA

    public static final Encryption FZA

  - ### RC4

    public static final Encryption RC4

  - ### RC2

    public static final Encryption RC2

  - ### eNULL

    public static final Encryption eNULL

- ## Method Details

  - ### values

    public static Encryption[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static Encryption valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null